Index: frontend/src/Components/AdminPanel/AllProfilesTable.js
===================================================================
--- frontend/src/Components/AdminPanel/AllProfilesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/AdminPanel/AllProfilesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,77 @@
+import useGet from "../Hooks/useGet";
+import {Container} from "react-bootstrap";
+import { FaLock, FaLockOpen } from "react-icons/fa";
+import React from "react";
+import useApprove from "../Hooks/useApprove";
+
+const AllProfilesTable = () => {
+
+    const { data, isLoading, setData, getData, setChanged } = useGet('/user')
+    const { getData: approveProfile} = useApprove()
+
+    !isLoading && console.log(data)
+
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: '2-digit',
+            month: '2-digit',
+            day: '2-digit',
+            hour12: false,
+        };
+
+        return inputDate.toLocaleString('mk-MK', options);
+
+    }
+
+    return (
+        <>
+            <Container fluid >
+                <table className="table table-hover">
+                    <thead>
+                    <tr>
+                        <th scope="col"></th>
+                        <th scope="col">Име и презиме</th>
+                        <th scope="col">Адреса</th>
+                        <th scope="col">Email</th>
+                        <th scope="col">Датум на раѓање</th>
+                        <th scope="col">Контакт телефон</th>
+                        <th>Акции</th>
+                    </tr>
+                    </thead>
+                    <tbody>
+                    {!isLoading && data.map((f, i) => { return <tr key={f.userID}>
+                        <th style={{verticalAlign: "middle"}} scope="row">{i + 1}</th>
+                        <td style={{verticalAlign: "middle"}}>{f.name + ' ' + f.surname}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.address}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.email}</td>
+                        <td style={{verticalAlign: "middle"}}>{dateFormatter(f.birthDate)}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.contact}</td>
+                        <td style={{verticalAlign: "middle"}}>
+                            {f.accountNonLocked &&
+                                <FaLock size={'2.2em'} color={'#159895'} onClick={() => {
+                                    approveProfile('/users/lock/' + f.userID).then(() => {
+                                        setChanged((prev) => {
+                                            return Math.random();
+                                        })
+                                    })
+                                }}/>}
+                            {!f.accountNonLocked &&
+                                <FaLockOpen size={'2.2em'} color={'#159895'} onClick={() => {
+                                    approveProfile('/users/unlock/' + f.userID).then(() => {
+                                        setChanged((prev) => {
+                                            return Math.random();
+                                        })
+                                    })
+                                }}/>}
+                        </td>
+                    </tr>})}
+                    </tbody>
+                </table>
+            </Container>
+        </>
+    )
+}
+
+export default AllProfilesTable;
Index: frontend/src/Components/AdminPanel/UnapprovedBusinessesTable.js
===================================================================
--- frontend/src/Components/AdminPanel/UnapprovedBusinessesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/AdminPanel/UnapprovedBusinessesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,48 @@
+import useGet from "../Hooks/useGet";
+import {Container} from "react-bootstrap";
+import {FaCheckCircle} from "react-icons/fa";
+import React from "react";
+import useApprove from "../Hooks/useApprove";
+
+const UnapprovedBusinessesTable = () => {
+
+    const { data, isLoading, setData, getData, setChanged } = useGet('/business/unapproved');
+    const { getData: approveBusiness} = useApprove();
+
+    return (
+        <>
+            <Container fluid >
+                <table className="table table-hover">
+                    <thead>
+                    <tr>
+                        <th scope="col">Ред. бр.</th>
+                        <th scope="col">Име на фирма</th>
+                        <th scope="col">Адреса</th>
+                        <th scope="col">Даночен број</th>
+                        <th scope="col">Одговорно лице</th>
+                        <th>Одобри</th>
+                    </tr>
+                    </thead>
+                    <tbody>
+                    {!isLoading && data.map((f, i) => { return <tr key={f.businessId}>
+                        <th style={{verticalAlign: "middle"}} scope="row">{i + 1}</th>
+                        <td style={{verticalAlign: "middle"}}>{f.name}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.address}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.edbs}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.user.name + " " + f.user.surname}</td>
+                        <td style={{verticalAlign: "middle"}}><FaCheckCircle size={'2.2em'} color={'#159895'} onClick={() => {
+                            approveBusiness('/business/approve/' + f.businessId).then(() => {
+                                setChanged((prev) => {
+                                    return Math.random();
+                                })
+                            })
+                        }}/></td>
+                    </tr>})}
+                    </tbody>
+                </table>
+            </Container>
+        </>
+    )
+}
+
+export default UnapprovedBusinessesTable;
Index: frontend/src/Components/AdminPanel/UnapprovedProfilesTable.js
===================================================================
--- frontend/src/Components/AdminPanel/UnapprovedProfilesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/AdminPanel/UnapprovedProfilesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,66 @@
+import useGet from "../Hooks/useGet";
+import {Container} from "react-bootstrap";
+import {FaCheckCircle} from "react-icons/fa";
+import React from "react";
+import useApprove from "../Hooks/useApprove";
+
+const UnapprovedProfilesTable = () => {
+
+    const { data, isLoading, setData, getData, setChanged } = useGet('/users/unapproved')
+    const { getData: approveProfile} = useApprove()
+
+    !isLoading && console.log(data)
+
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: '2-digit',
+            month: '2-digit',
+            day: '2-digit',
+            hour12: false,
+        };
+
+        return inputDate.toLocaleString('mk-MK', options);
+
+    }
+
+    return (
+        <>
+            <Container fluid >
+                <table className="table table-hover">
+                    <thead>
+                    <tr>
+                        <th scope="col"></th>
+                        <th scope="col">Име и презиме</th>
+                        <th scope="col">Адреса</th>
+                        <th scope="col">Email</th>
+                        <th scope="col">Датум на раѓање</th>
+                        <th scope="col">Контакт телефон</th>
+                        <th>Одобри</th>
+                    </tr>
+                    </thead>
+                    <tbody>
+                    {!isLoading && data.map((f, i) => { return <tr key={f.userID}>
+                        <th style={{verticalAlign: "middle"}} scope="row">{i + 1}</th>
+                        <td style={{verticalAlign: "middle"}}>{f.name + ' ' + f.surname}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.address}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.email}</td>
+                        <td style={{verticalAlign: "middle"}}>{dateFormatter(f.birthDate)}</td>
+                        <td style={{verticalAlign: "middle"}}>{f.contact}</td>
+                        <td style={{verticalAlign: "middle"}}><FaCheckCircle size={'2.2em'} color={'#159895'} onClick={() => {
+                            approveProfile('/users/approve/' + f.userID).then(() => {
+                                setChanged((prev) => {
+                                    return Math.random();
+                                })
+                            })
+                        }}/></td>
+                    </tr>})}
+                    </tbody>
+                </table>
+            </Container>
+        </>
+    )
+}
+
+export default UnapprovedProfilesTable;
